Name:		python-commonmark
Version:	0.9.1
Release:	1
Summary:	Python parser for the CommonMark Markdown spec
License:	BSD-3-Clause
URL:		https://github.com/rtfd/commonmark.py
Source0:	https://files.pythonhosted.org/packages/60/48/a60f593447e8f0894ebb7f6e6c1f25dafc5e89c5879fdc9360ae93ff83f0/commonmark-0.9.1.tar.gz
BuildArch:	noarch

Requires:	python3-future >= 0.14.0
Requires:	python3-flake8 == 3.7.8
Requires:	python3-hypothesis == 3.55.3

%description
commonmark.py is a pure Python port of jgm's
`commonmark.js' <https://github.com/jgm/commonmark.js>`, a
Markdown parser and renderer for the
`CommonMark <http://commonmark.org>` specification, using only native
modules. Once both this project and the CommonMark specification are
stable we will release the first ``1.0`` version and attempt to keep up
to date with changes in ``commonmark.js``.

%package -n python3-commonmark
Summary:	Python parser for the CommonMark Markdown spec
Provides:	python-commonmark
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-commonmark
commonmark.py is a pure Python port of jgm's
`commonmark.js' <https://github.com/jgm/commonmark.js>`, a
Markdown parser and renderer for the
`CommonMark <http://commonmark.org>` specification, using only native
modules. Once both this project and the CommonMark specification are
stable we will release the first ``1.0`` version and attempt to keep up
to date with changes in ``commonmark.js``.

%package help
Summary:	Development documents and examples for commonmark
Provides:	python3-commonmark-doc
%description help
commonmark.py is a pure Python port of jgm's
`commonmark.js' <https://github.com/jgm/commonmark.js>`, a
Markdown parser and renderer for the
`CommonMark <http://commonmark.org>` specification, using only native
modules. Once both this project and the CommonMark specification are
stable we will release the first ``1.0`` version and attempt to keep up
to date with changes in ``commonmark.js``.

%prep
%autosetup -n commonmark-0.9.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%files -n python3-commonmark -f filelist.lst
%dir %{python3_sitelib}/*

%files help
%{_pkgdocdir}

%changelog
* Thu Jun 04 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
